Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Interface Blitter

All Known Implementing Classes:
  ByteBlitter, ColorBlitter, FloatBlitter, ShortBlitter

public interface Blitter

ImageJ bit blitting classes must implement this interface.

Field Summary
`static int` | `ADD` dst=dst+src
`static int` | `AND` dst=dst AND src
`static int` | `AVERAGE` dst=(dst+src)/2
`static int` | `COPY` dst=src
`static int` | `COPY_INVERTED` dst=255-src (8-bits and RGB)
`static int` | `COPY_TRANSPARENT` Copies with white pixels transparent.
`static int` | `DIFFERENCE` dst=abs(dst-src)
`static int` | `DIVIDE` dst=dst/src
`static int` | `MAX` dst=max(dst,src)
`static int` | `MIN` dst=min(dst,src)
`static int` | `MULTIPLY` dst=src*src
`static int` | `OR` dst=dst OR src
`static int` | `SUBTRACT` dst=dst-src
`static int` | `XOR` dst=dst XOR src

Method Summary
`void` | `copyBits(ImageProcessor src, int x, int y, int mode)` Copies the image in 'src' to (x,y) using the specified mode.
`void` | `setTransparentColor(java.awt.Color c)` Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

Field Detail

### COPY

    public static final int COPY

  dst=src

  See Also:
    Constant Field Values

### COPY_INVERTED

    public static final int COPY_INVERTED

  dst=255-src (8-bits and RGB)

  See Also:
    Constant Field Values

### COPY_TRANSPARENT

    public static final int COPY_TRANSPARENT

  Copies with white pixels transparent.

  See Also:
    Constant Field Values

### ADD

    public static final int ADD

  dst=dst+src

  See Also:
    Constant Field Values

### SUBTRACT

    public static final int SUBTRACT

  dst=dst-src

  See Also:
    Constant Field Values

### MULTIPLY

    public static final int MULTIPLY

  dst=src*src

  See Also:
    Constant Field Values

### DIVIDE

    public static final int DIVIDE

  dst=dst/src

  See Also:
    Constant Field Values

### AVERAGE

    public static final int AVERAGE

  dst=(dst+src)/2

  See Also:
    Constant Field Values

### DIFFERENCE

    public static final int DIFFERENCE

  dst=abs(dst-src)

  See Also:
    Constant Field Values

### AND

    public static final int AND

  dst=dst AND src

  See Also:
    Constant Field Values

### OR

    public static final int OR

  dst=dst OR src

  See Also:
    Constant Field Values

### XOR

    public static final int XOR

  dst=dst XOR src

  See Also:
    Constant Field Values

### MIN

    public static final int MIN

  dst=min(dst,src)

  See Also:
    Constant Field Values

### MAX

    public static final int MAX

  dst=max(dst,src)

  See Also:
    Constant Field Values

Method Detail

### setTransparentColor

    public void setTransparentColor(java.awt.Color c)

  Sets the transparent color used in the COPY_TRANSPARENT mode (default is Color.white).

### copyBits

    public void copyBits(ImageProcessor src,
                         int x,
                         int y,
                         int mode)

  Copies the image in 'src' to (x,y) using the specified mode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD